import firebase_admin
from firebase_admin import credentials, firestore
import json

# Initialize Firebase Admin SDK
cred = credentials.Certificate("key.json")  # Path to your Firebase service account key
firebase_admin.initialize_app(cred)

# Initialize Firestore client
db = firestore.client()

def load_data_from_json(json_file_path, collection_name):
    try:
        with open(json_file_path, 'r') as file:
            data = json.load(file)
            # Add each document to the collection
            for doc_id, doc_data in enumerate(data):
                # Create a dictionary to store the data for the document
                doc_to_add = {
                    "brand": doc_data["brand"],
                    "country": doc_data["COUNTRY"],
                    "animal_welfare": doc_data["Animal_Welfare"],
                    "biodiversity_conservation": doc_data["Biodiversity_Conservation"],
                    "energy_greenhouse_gas_emissions": doc_data["Energy_Greenhouse_Gas_Emissions"],
                    "restricted_substance_list": doc_data["Restricted_Substance_List"],
                    "waste_recycling_packaging_retail": doc_data["Waste_Recycling_Packaging_Retail"],
                    "waste_recycling_product_textiles": doc_data["Waste_Recycling_Product_Textiles"],
                    "water_consumption": doc_data["Water_Consumption"],
                    "environmental_total": doc_data["environmental_total"],
                    "supplier_annual_leave_public_holidays": doc_data["Supplier_Annual_Leave_Public_Holidays"],
                    "supplier_anti_bribery_corruption": doc_data["Supplier_Anti_bribery_Corruption"],
                    "supplier_biodiversity_conservation": doc_data["Supplier_Biodiversity_Conservation"],
                    "supplier_child_labour": doc_data["Supplier_Child_Labour"],
                    "supplier_community_engagement": doc_data["Supplier_Community_Engagement"],
                    "supplier_discrimination": doc_data["Supplier_Discrimination"],
                    "supplier_energy_greenhouse_gas_emissions": doc_data["Supplier_Energy_Greenhouse_Gas_Emissions"],
                    "supplier_equal_pay": doc_data["Supplier_Equal_Pay"],
                    "supplier_forced_labour": doc_data["Supplier_Forced_Labour"],
                    "supplier_freedom_of_association": doc_data["Supplier_Freedom_of_Association"],
                    "supplier_harassment_violence": doc_data["Supplier_Harassment_Violence"],
                    "supplier_health_safety": doc_data["Supplier_Health_Safety"],
                    "supplier_homeworking": doc_data["Supplier_Homeworking"],
                    "supplier_living_conditions": doc_data["Supplier_Living_Conditions"],
                    "supplier_maternity_rights_parental_leave": doc_data["Supplier_Maternity_Rights_Parental_Leave"],
                    "supplier_overtime_pay": doc_data["Supplier_Overtime_Pay"],
                    "supplier_subcontracting": doc_data["Supplier_Subcontracting"],
                    "supplier_wages_benefits": doc_data["Supplier_Wages_Benefits"],
                    "supplier_waste_recycling_packaging_retail": doc_data["Supplier_Waste_Recycling_Packaging_Retail"],
                    "supplier_waste_recycling_product_textiles": doc_data["Supplier_Waste_Recycling_Product_Textiles"],
                    "supplier_water_consumption": doc_data["Supplier_Water_Consumption"],
                    "supplier_working_hours_breaks": doc_data["Supplier_Working_Hours_Breaks"],
                    "supplier_ethical_standards": doc_data["Supplier_Ethical_Standards"],
                    "supplychain_total": doc_data["supplychain_total"],
                    "annual_leave_public_holidays": doc_data["Annual_Leave_Public_Holidays"],
                    "anti_bribery_corruption": doc_data["Anti_bribery_Corruption"],
                    "community_engagement": doc_data["Community_Engagement"],
                    "discrimination": doc_data["Discrimination"],
                    "diversity_inclusion": doc_data["Diversity_Inclusion"],
                    "equal_pay": doc_data["Equal_Pay"],
                    "freedom_of_association": doc_data["Freedom_of_Association"],
                    "harassment_violence": doc_data["Harassment_Violence"],
                    "health_safety": doc_data["Health_Safety"],
                    "maternity_rights_parental_leave": doc_data["Maternity_Rights_Parental_Leave"],
                    "mental_health_wellbeing": doc_data["Mental_Health_Wellbeing"],
                    "wages_benefits": doc_data["Wages_Benefits"],
                    "working_hours_breaks": doc_data["Working_Hours_Breaks"],
                    "social_total": doc_data["social_total"]
                    # Add more fields as needed
                }
                # Add the document to the collection
                db.collection(collection_name).add(doc_to_add)
        print("Data successfully loaded into the collection '{}'".format(collection_name))
    except Exception as e:
        print("Error loading data:", str(e))

# Example usage
json_file_path = "dataset.json"  # Path to your JSON file
collection_name = "companies"  # Name of the collection in Firestore

load_data_from_json(json_file_path, collection_name)